//
// Styled lights
//

textures/ut4_eris_b1/wavelight2
{
	qer_editorimage textures/ut4_eris_b1/white.jpg
	q3map_surfacelight 4500
	q3map_lightStyle 1
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm nolightmap
	//cull none
	{
		map textures/ut4_eris_b1/white.jpg
		blendFunc GL_ONE GL_ONE
		rgbGen wave inversesawtooth 0.1 0.5 0 0.6
	}
}

textures/ut4_eris_b1/wavelight3
{
	qer_editorimage textures/ut4_eris_b1/white.jpg
	q3map_surfacelight 4500
	q3map_lightStyle 2
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm nolightmap
	//cull none
	{
		map textures/ut4_eris_b1/white.jpg
		blendFunc GL_ONE GL_ONE
		rgbGen wave inversesawtooth 0.1 0.5 0.33 0.6
	}
}

textures/ut4_eris_b1/wavelight4
{
	qer_editorimage textures/ut4_eris_b1/white.jpg
	q3map_surfacelight 4500
	q3map_lightStyle 3
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm nolightmap
	//cull none
	{
		map textures/ut4_eris_b1/white.jpg
		blendFunc GL_ONE GL_ONE
		rgbGen wave inversesawtooth 0.1 0.5 0.67 0.6
	}
}


//
//Skybox
//

textures/ut4_eris_b1/earth
{
	q3map_lightimage env/ut4_eris_b1/earth01_ft.jpg
	qer_editorimage env/ut4_eris_b1/earth01_lf.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	//q3map_lightsubdivide 128
	//q3map_surfacelight 900
	//q3map_skylight 100 12
	//q3map_sunExt 1 0.98 0.87 600 180 80 14 64
	//q3map_sunExt 0.145 0.361 0.525 600 90 -55 60 128
	//q3map_sunExt 0.443 0.435 0.451 150 295 0 5 16
	surfaceparm sky
	skyparms env/ut4_eris_b1/earth01 - -
}

textures/ut4_eris_b1/mp_bloodvalley
{
	qer_editorimage env/mp_bloodvalley/blood-valley_ft.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	//q3map_lightsubdivide 256
	//q3map_surfacelight 100
	surfaceparm sky
	//q3map_sun 1 1 1 100 225 35
	skyparms env/mp_bloodvalley/blood-valley - -
}

//
//Windows
//

textures/ut4_eris_b1/glass2
{
        qer_editorimage textures/ut4_eris_b1/tinfxcloud.tga
        qer_trans 0.5
	surfaceparm trans
	surfaceparm nodamage
	surfaceparm nolightmap
	//q3map_surfacelight 450
        {
                map textures/ut4_eris_b1/tinfxcloud.tga
                tcgen environment
                blendFunc GL_ONE GL_ONE
                rgbGen identity
        }
        {
                map $lightmap
                rgbGen identity
                blendFunc filter
        }

}

textures/ut4_eris_b1/glassopaque
{
        qer_editorimage textures/ut4_eris_b1/tinfxlightcloud.tga
        qer_trans 0.5
	surfaceparm trans
	surfaceparm nodamage
	surfaceparm nolightmap
	//q3map_surfacelight 450
        {
                map textures/ut4_eris_b1/tinfxlightcloud.tga
                tcgen environment
                blendFunc GL_ONE GL_ONE
                rgbGen identity
        }
        {
                map $lightmap
                rgbGen identity
                blendFunc filter
        }

}

textures/ut4_eris_b1/glassopaquepatch
{
        qer_editorimage textures/ut4_eris_b1/tinfx.tga
        qer_trans 0.5
	surfaceparm trans
	surfaceparm nodamage
	surfaceparm nolightmap
	//q3map_surfacelight 450
        {
                map textures/ut4_eris_b1/tinfx.tga
                tcgen environment
                blendFunc GL_ONE GL_ONE
                rgbGen identity
        }
        {
                map $lightmap
                rgbGen identity
                blendFunc filter
        }

}

//
// Logos
//

textures/ut4_eris_b1/erislogowhite
{
	qer_editorimage textures/ut4_eris_b1/erislogowhite.tga
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	
	polygonOffset
	nopicmip
	nomipmaps

	{
		map textures/ut4_eris_b1/erislogowhite.tga
		blendfunc add
	}
}

//
// Grounds walls ceiling
//


textures/ut4_eris_b1/exit_walls
{
	qer_editorimage textures/ut4_eris_b1/carreaux1.jpg
	q3map_surfacelight 150
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	q3map_styleMarker
	{
		map textures/ut4_eris_b1/carreaux1.jpg
		blendfunc filter
		rgbGen identity
	}
}

textures/ut4_eris_b1/exit_doors
{
	qer_editorimage textures/ut4_eris_b1/door.jpg
	q3map_lightimage textures/ut4_eris_b1/carreaux1.jpg
	q3map_surfacelight 150
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	q3map_styleMarker
	{
		map textures/ut4_eris_b1/easy.jpg
		blendfunc filter
		rgbGen identity
	}
}

textures/ut4_eris_b1/red_grid
{
	qer_editorimage textures/ut4_eris_b1/redgrid.jpg
	//q3map_surfacelight 150
	surfaceparm nodamage
	surfaceparm slick
	//{
	//	map $lightmap
	//	rgbGen identity
	//}
	q3map_styleMarker
	{
		map textures/ut4_eris_b1/redgrid.jpg
		blendfunc add
		rgbGen identity
	}
}

textures/ut4_eris_b1/icy_grid
{
	qer_editorimage textures/ut4_eris_b1/greengrid.jpg
	//q3map_surfacelight 360
	q3map_lightimage textures/ut4_eris_b1/greengrid.jpg
	surfaceparm slick
	surfaceparm nodamage

	{
		map $lightmap
		rgbGen identity
	}
	q3map_styleMarker
	{
		map textures/ut4_eris_b1/greengrid.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_eris_b1/greengrid.jpg
		blendfunc GL_ONE GL_ONE
	}
	{
		map textures/ut4_eris_b1/greengrid.jpg
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
}

textures/ut4_eris_b1/icy_grid_nonsolid
{
	qer_editorimage textures/ut4_eris_b1/greengrid.jpg
	//q3map_surfacelight 360
	q3map_lightimage textures/ut4_eris_b1/greengrid.jpg
	surfaceparm nonsolid

	{
		map $lightmap
		rgbGen identity
	}
	q3map_styleMarker
	{
		map textures/ut4_eris_b1/greengrid.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_eris_b1/greengrid.jpg
		blendfunc GL_ONE GL_ONE
	}
	{
		map textures/ut4_eris_b1/greengrid.jpg
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
}

textures/ut4_eris_b1/icy_grid_edge
{
	qer_editorimage textures/ut4_eris_b1/yellowgrid.jpg
	//q3map_surfacelight 360
	q3map_lightimage textures/ut4_eris_b1/yellowgrid.jpg
	surfaceparm slick
	surfaceparm nodamage

	{
		map $lightmap
		rgbGen identity
	}
	q3map_styleMarker
	{
		map textures/ut4_eris_b1/yellowgrid.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_eris_b1/yellowgrid.jpg
		blendfunc GL_ONE GL_ONE
	}
	{
		map textures/ut4_eris_b1/yellowgrid.jpg
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
}

textures/ut4_eris_b1/icy_edge
{
	qer_editorimage textures/ut4_eris_b1/carreaux1.jpg
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	q3map_styleMarker
	{
		map textures/ut4_eris_b1/carreaux1.jpg
		blendfunc filter
		rgbGen identity
	}
}

textures/ut4_eris_b1/icy_back
{
	qer_editorimage textures/ut4_eris_b1/carreaux1.jpg
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	q3map_styleMarker
	{
		map textures/ut4_eris_b1/carreaux1.jpg
		blendfunc filter
		rgbGen identity
	}
}

textures/ut4_eris_b1/greydark
{
	qer_editorimage textures/ut4_eris_b1/greydark.jpg
	surfaceparm nodamage
	//surfaceparm nodraw
	{
		map $lightmap
		rgbGen identity
	}
	q3map_styleMarker
	{
		map textures/ut4_eris_b1/greydark.jpg
		blendfunc filter
		rgbGen identity
	}
}

textures/ut4_eris_b1/concreteb
{
	qer_editorimage textures/ut4_eris_b1/greygrid.jpg
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	q3map_styleMarker
	{
		map textures/ut4_eris_b1/greygrid.jpg
		blendfunc filter
		rgbGen identity
	}
	
}

textures/ut4_eris_b1/concretebnosolid
{
	qer_editorimage textures/ut4_eris_b1/greygrid.jpg
	surfaceparm nodamage
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	q3map_styleMarker
	{
		map textures/ut4_eris_b1/greygrid.jpg
		blendfunc filter
		rgbGen identity
	}
	
}

textures/ut4_eris_b1/concreteslick
{
    qer_editorimage textures/ut4_eris_b1/mur6_7.jpg
    surfaceparm nodamage
    surfaceparm slick
	{
		map $lightmap
		rgbGen identity
	}
	q3map_styleMarker
	{
		map textures/ut4_eris_b1/mur6_7.jpg
		blendfunc filter
		rgbGen identity
	}
	
}

textures/ut4_eris_b1/woodledge
{
	qer_editorimage textures/ut4_eris_b1/wood18.tga
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	q3map_styleMarker
	{
		map textures/ut4_eris_b1/wood18.tga
		blendfunc filter
		rgbGen identity
	}	
}

textures/ut4_eris_b1/carreaux
{
	qer_editorimage textures/ut4_eris_b1/carreaux1.jpg
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	q3map_styleMarker
	{
		map textures/ut4_eris_b1/carreaux1.jpg
		blendfunc filter
		rgbGen identity
	}	
}

textures/ut4_eris_b1/carrnosolid
{
	qer_editorimage textures/ut4_eris_b1/carreaux1.jpg
	surfaceparm nodamage
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	q3map_styleMarker
	{
		map textures/ut4_eris_b1/carreaux1.jpg
		blendfunc filter
		rgbGen identity
	}	
}

textures/ut4_eris_b1/carreasy
{
	qer_editorimage textures/ut4_eris_b1/carreaux1.jpg
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	q3map_styleMarker
	{
		map textures/ut4_eris_b1/carreaux1.jpg
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/ut4_eris_b1/easy.jpg
		rgbGen wave sin 0.1 0.02 0 0.5
		blendfunc add
	}
}

textures/ut4_eris_b1/carrmed
{
	qer_editorimage textures/ut4_eris_b1/carreaux1.jpg
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	q3map_styleMarker
	{
		map textures/ut4_eris_b1/carreaux1.jpg
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/ut4_eris_b1/medium.jpg
		rgbGen wave sin 0.1 0.02 0 0.5
		blendfunc add
	}
}

textures/ut4_eris_b1/carrleet
{
	qer_editorimage textures/ut4_eris_b1/carreaux1.jpg
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	q3map_styleMarker
	{
		map textures/ut4_eris_b1/carreaux1.jpg
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/ut4_eris_b1/leet.jpg
		rgbGen wave sin 0.1 0.02 0 0.5
		blendfunc add
	}
}

textures/ut4_eris_b1/carrfunky
{
	qer_editorimage textures/ut4_eris_b1/carreaux1.jpg
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	q3map_styleMarker
	{
		map textures/ut4_eris_b1/carreaux1.jpg
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/ut4_eris_b1/funky.jpg
		rgbGen wave sin 0.1 0.02 0 0.5
		blendfunc add
	}
}

textures/ut4_eris_b1/carrfunkyleet
{
	qer_editorimage textures/ut4_eris_b1/carreaux1.jpg
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	q3map_styleMarker
	{
		map textures/ut4_eris_b1/carreaux1.jpg
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/ut4_eris_b1/funkyleet.jpg
		rgbGen wave sin 0.1 0.02 0 0.5
		blendfunc add
	}
}

textures/ut4_eris_b1/whitelight
{
	qer_editorimage textures/ut4_eris_b1/white.jpg
	surfaceparm nodamage
	surfaceparm trans
	surfaceparm nonsolid
	//surfaceparm nolightmap
	q3map_surfacelight 2400
	q3map_lightsubdivide 64
	//polygonOffset
	{
		map textures/ut4_eris_b1/white.jpg
	}
	{
		map $lightmap
		blendfunc add
	}	
}

textures/ut4_eris_b1/black
{
	surfaceparm nodamage
	{
		map textures/ut4_eris_b1/black.jpg
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/ut4_eris_b1/back
{
	surfaceparm nodamage
	surfaceparm nonsolid
	polygonOffset
	{
		map textures/ut4_eris_b1/back.jpg
		rgbGen wave sin 0.8 0.2 0 0.5
	}
	{
		map $lightmap
		blendfunc add
	}
}

textures/ut4_eris_b1/easy
{
	surfaceparm nodamage
	surfaceparm nonsolid
	polygonOffset
	{
		map textures/ut4_eris_b1/easy.jpg
		rgbGen wave sin 0.8 0.2 0 0.5
	}
	{
		map $lightmap
		blendfunc add
	}
}

textures/ut4_eris_b1/medium
{
	surfaceparm nodamage
	surfaceparm nonsolid
	polygonOffset
	{
		map textures/ut4_eris_b1/medium.jpg
		rgbGen wave sin 0.8 0.2 0 0.5
	}
	{
		map $lightmap
		blendfunc add
	}
}

textures/ut4_eris_b1/leet
{
	surfaceparm nodamage
	surfaceparm nonsolid
	polygonOffset
	{
		map textures/ut4_eris_b1/leet.jpg
		rgbGen wave sin 0.8 0.2 0 0.5
	}
	{
		map $lightmap
		blendfunc add
	}
}

textures/ut4_eris_b1/funky
{
	surfaceparm nodamage
	surfaceparm nonsolid
	polygonOffset
	{
		map textures/ut4_eris_b1/funky.jpg
		rgbGen wave sin 0.8 0.2 0 0.5
	}
	{
		map $lightmap
		blendfunc add
	}
}

textures/ut4_eris_b1/funkyleet
{
	surfaceparm nodamage
	surfaceparm nonsolid
	polygonOffset
	{
		map textures/ut4_eris_b1/funkyleet.jpg
		rgbGen wave sin 0.8 0.2 0 0.5
	}
	{
		map $lightmap
		blendfunc add
	}
}